import java.util.*;
public class PriorityTester{
  public static void main(String args[]){
    Queue<Integer> queue=new PriorityQueue<Integer>();
    queue.add(67);
    queue.add(12);
    queue.add(33);
    
    System.out.print("遍历优先级队列: ");
    for(Integer e:queue )
      System.out.print(e+"  ");
    
    System.out.print("\n依次删除优先级队列中的元素: ");
    while(!queue.isEmpty())
      System.out.print(queue.remove()+"  ");  
  }
}


/****************************************************
 * 作者：孙卫琴                                     *
 * 来源：<<Java面向对象编程>>                       *
 * 技术支持网址：www.javathinker.net                *
 ***************************************************/
